: Class Splash

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.startup
Class Splash

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.startup.Splash

public class Splash
extends java.lang.Object

Field Summary
`(package private) javax.swing.JProgressBar` | `progressBar`
`(package private) javax.swing.JLabel` | `progressLabel`
`(package private) javax.swing.JFrame` | `splashf`

Constructor Summary
`Splash(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, int iprogressmax)` Provide a startup monitor

Method Summary
`void` | `doneEverything(java.lang.String s)` Finish the progress bar and label
`void` | `doneSomething(java.lang.String s)` Update the progress bar and label
`void` | `startupFailed()` Called if something went wrong in startup.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### progressBar

    javax.swing.JProgressBar progressBar

### progressLabel

    javax.swing.JLabel progressLabel

### splashf

    final javax.swing.JFrame splashf

Constructor Detail

### Splash

    public Splash(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                  int iprogressmax)

  Provide a startup monitor
  Parameters:
    `mysettings` - Configuration parameters
    `iprogressmax` - The number of startup calls, to determine the scaling of the progress bar. The doneSomething method will move the bar, so this should be set to the expected number of doneSomething calls.

Method Detail

### doneSomething

    public void doneSomething(java.lang.String s)

  Update the progress bar and label

### doneEverything

    public void doneEverything(java.lang.String s)

  Finish the progress bar and label

### startupFailed

    public void startupFailed()

  Called if something went wrong in startup.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD